---
inputType: "CA10__CaAzureAppServicePlan__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaAzureAppServicePlan__c/object.extracts.yaml
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "Azure App Service Plan has no Apps assigned."
    remediationMessage: "Consider deleting the empty App Service Plan."
    check:
      IS_EMPTY:
        arg:
          EXTRACT: "CA10__numberOfSites__c"
  - status: "INCOMPLIANT"
    currentStateMessage: "Azure App Service Plan has no Apps assigned."
    remediationMessage: "Consider deleting the empty App Service Plan."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__numberOfSites__c"
        right:
          NUMBER: 0.0
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "Azure App Service Plan has Apps assigned."